import { Repository } from 'pinia-orm'

abstract class BaseRepository extends Repository {
  public getQuery() {
    return this.where((val) => Number.isInteger(val.id)) // exclude _clone_ ids
  }
}

export default BaseRepository
